org.jbpm.process.workitem.rest

## Enum RESTWorkItemHandler.AuthenticationType

- java.lang.Object
- - java.lang.Enum<RESTWorkItemHandler.AuthenticationType>
  - - org.jbpm.process.workitem.rest.RESTWorkItemHandler.AuthenticationType

- All Implemented Interfaces:
    Serializable, Comparable<RESTWorkItemHandler.AuthenticationType>
  Enclosing class:
    RESTWorkItemHandler

      public static enum RESTWorkItemHandler.AuthenticationType
      extends Enum<RESTWorkItemHandler.AuthenticationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `FORM_BASED`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RESTWorkItemHandler.AuthenticationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RESTWorkItemHandler.AuthenticationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final RESTWorkItemHandler.AuthenticationType NONE

    - #### BASIC

          public static final RESTWorkItemHandler.AuthenticationType BASIC

    - #### FORM_BASED

          public static final RESTWorkItemHandler.AuthenticationType FORM_BASED

  - ### Method Detail

    - #### values

          public static RESTWorkItemHandler.AuthenticationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RESTWorkItemHandler.AuthenticationType c : RESTWorkItemHandler.AuthenticationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RESTWorkItemHandler.AuthenticationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.